%{?nodejs_find_provides_and_requires}

# Waiting for dependencies to be packaged.
%global enable_tests 0

Name:       nodejs-stack-trace
Version:    0.0.6
Release:    3%{?dist}
Summary:    Node.js module to get v8 stack traces as an array of CallSite objects
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/felixge/node-stack-trace
Source0:    http://registry.npmjs.org/stack-trace/-/stack-trace-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(far)
BuildRequires:  npm(long-stack-traces)
%endif

%description
%{summary}.


%prep
%setup -q -n package
find . -type f -iname '*~' -delete


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stack-trace
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/stack-trace

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .
%__nodejs test/run.js
%endif


%files
%doc License Readme.md
%{nodejs_sitelib}/stack-trace


%changelog
* Fri Jun 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.6-3
- add comment about why tests are disabled

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.6-2
- remove leftover backup files

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.6-1
- initial package
